package com.emoon.openplatform.service.impl;

import cn.hutool.json.JSONUtil;
import com.emoon.openplatform.domain.ModelDo;
import com.emoon.openplatform.domain.bo.ModelBo;
import com.emoon.openplatform.service.IModelService;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

import java.util.List;

/**
 * @author destiny
 * @description:
 * @date 2025/10/25 20:48
 */
@SpringBootTest
class IModelServiceImplTest {

    @Autowired
    private IModelService modelService;

    @Test
    void search() {
        List<ModelDo> search = modelService.search(ModelBo.builder()
            .model("emoon-E2-7B")
            .network(2)
            .build());
        System.out.println("search = " + JSONUtil.toJsonStr(search));
    }
}
